summaryrefslogtreecommitdiff
path: root/manual
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-01-27 17:08:19 +0100
committerClifford Wolf <clifford@clifford.at>2014-01-27 17:08:19 +0100
commitfb4c3dff331f617bb04d2d07a47a0168d3ec2967 (patch)
treea59060d787122982d632e07c086631b2e5ab53b2 /manual
parentfa103e55ad24ee32c58ded660979c81980d14ab1 (diff)
Added first presentation slides
Diffstat (limited to 'manual')
-rw-r--r--manual/.gitignore2
-rw-r--r--manual/PRESENTATION_Intro.tex39
-rwxr-xr-x[-rw-r--r--]manual/appnotes.sh (renamed from manual/make_appnotes.sh)0
-rwxr-xr-xmanual/manual.sh (renamed from manual/make.sh)0
-rwxr-xr-xmanual/presentation.sh47
-rw-r--r--manual/presentation.tex16
6 files changed, 104 insertions, 0 deletions
diff --git a/manual/.gitignore b/manual/.gitignore
index 7412c4d4..8ae9cbde 100644
--- a/manual/.gitignore
+++ b/manual/.gitignore
@@ -6,4 +6,6 @@
*.out
*.pdf
*.toc
+*.snm
+*.nav
*.ok
diff --git a/manual/PRESENTATION_Intro.tex b/manual/PRESENTATION_Intro.tex
new file mode 100644
index 00000000..c14e055e
--- /dev/null
+++ b/manual/PRESENTATION_Intro.tex
@@ -0,0 +1,39 @@
+
+\section{Introduction}
+
+\begin{frame}
+\sectionpage
+\end{frame}
+
+\subsection{Representations of (digital) Circuits}
+
+\begin{frame}{\subsecname}
+\begin{itemize}
+ \item Graphical
+ \begin{itemize}
+ \item \alert<1>{Schematic Diagram}
+ \item \alert<2>{Physical Layout}
+ \end{itemize}
+ \bigskip
+ \item Non-graphical
+ \begin{itemize}
+ \item \alert<3>{Netlists}
+ \item \alert<4>{Hardware Description Language}
+ \end{itemize}
+\end{itemize}
+\bigskip
+\begin{block}{Definition}
+ \only<1>{Schematic Diagrams are ...}
+ \only<2>{Physical Layouts are ...}
+ \only<3>{Netlists are ...}
+ \only<4>{Hardware Description Languages are ...}
+\end{block}
+\end{frame}
+
+
+\subsection{Digital Circuit Synthesis}
+
+\begin{frame}{\subsecname}
+\end{frame}
+
+
diff --git a/manual/make_appnotes.sh b/manual/appnotes.sh
index f816956a..f816956a 100644..100755
--- a/manual/make_appnotes.sh
+++ b/manual/appnotes.sh
diff --git a/manual/make.sh b/manual/manual.sh
index c4673938..c4673938 100755
--- a/manual/make.sh
+++ b/manual/manual.sh
diff --git a/manual/presentation.sh b/manual/presentation.sh
new file mode 100755
index 00000000..3a55b939
--- /dev/null
+++ b/manual/presentation.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+fast_mode=false
+
+set -- $(getopt fu "$@")
+while [ $# -gt 0 ]; do
+ case "$1" in
+ -f)
+ fast_mode=true
+ ;;
+ --)
+ shift
+ break
+ ;;
+ -*)
+ echo "$0: error - unrecognized option $1" 1>&2
+ exit 1
+ ;;
+ *)
+ break
+ esac
+ shift
+done
+
+PDFTEX_OPT="-shell-escape -halt-on-error"
+
+if ! $fast_mode; then
+ md5sum *.aux *.snm *.nav *.toc > autoloop.old
+fi
+
+set -ex
+
+pdflatex $PDFTEX_OPT presentation.tex
+
+if ! $fast_mode; then
+ while
+ md5sum *.aux *.snm *.nav *.toc > autoloop.new
+ ! cmp autoloop.old autoloop.new
+ do
+ cp autoloop.new autoloop.old
+ pdflatex $PDFTEX_OPT presentation.tex
+ done
+
+ rm -f autoloop.old
+ rm -f autoloop.new
+fi
+
diff --git a/manual/presentation.tex b/manual/presentation.tex
new file mode 100644
index 00000000..893c6683
--- /dev/null
+++ b/manual/presentation.tex
@@ -0,0 +1,16 @@
+\documentclass{beamer}
+
+\title{Yosys Open SYnthesis Suite}
+\author{Clifford Wolf}
+
+\beamertemplatenavigationsymbolsempty
+
+\begin{document}
+
+\begin{frame}
+\titlepage
+\end{frame}
+
+\include{PRESENTATION_Intro}
+
+\end{document}